-- Block1kx8.vhd
library IEEE;
use IEEE.std_logic_1164.all;

entity MEMBLK1kx8 is

   port(WDATA: in std_logic_vector (7 downto 0);
        RDATA: out std_logic_vector (7 downto 0);
        RCLK, WCLK, WENB, RENB: in std_logic;
        WADDR, RADDR: in std_logic_vector (9 downto 0));

end MEMBLK1kx8;

architecture mem_arch of MEMBLK1kx8 is

component  APA1kx8 
   port(DO : out std_logic_vector (7 downto 0);
        RCLOCK : in std_logic;
        WCLOCK : in std_logic;
        DI : in std_logic_vector (7 downto 0);
        WRB : in std_logic;
        RDB : in std_logic;
        WADDR : in std_logic_vector (9 downto 0);
        RADDR : in std_logic_vector (9 downto 0));
end component;

begin

apa_1kx8 : APA1kx8 port map(
             DO => RDATA,
             RCLOCK => RCLK,
             WCLOCK => WCLK, 
             DI => WDATA,
             WRB => WENB,
             RDB => RENB,
             WADDR => WADDR,
             RADDR => RADDR
             );
end mem_arch;